Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
IcedTea installation/ Request for an up to date howto
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Inimi
n00b
n00b


Joined: 15 Feb 2008
Posts: 30

PostPosted: Tue Oct 21, 2008 12:21 pm    Post subject: IcedTea installation/ Request for an up to date howto Reply with quote

Hi,

I want to install icedtea6 because I want a java-plugin for my firefox.

If I try to install icedtea6-1.3.1 it gives me this error:
Code:


These are the packages that would be merged, in order:

Calculating dependencies... done!
[nomerge      ] dev-java/icedtea6-1.3-r1  USE="javascript nsplugin -cacao -debug -doc -examples -pulseaudio -shark -zero"
[ebuild  N    ]  virtual/icedtea-jdk-1.6
[ebuild  N    ]   dev-java/icedtea6-1.3-r1  USE="javascript nsplugin -cacao -debug -doc -examples -pulseaudio -shark -zero"
!!! Error: circular dependencies:

('ebuild', '/', 'dev-java/icedtea6-1.3-r1', 'merge') depends on
   ('ebuild', '/', 'dev-java/icedtea6-1.3-r1', 'merge') (hard)
   ('ebuild', '/', 'virtual/icedtea-jdk-1.6', 'merge') (hard)
('ebuild', '/', 'virtual/icedtea-jdk-1.6', 'merge') depends on
   ('ebuild', '/', 'dev-java/icedtea6-1.3-r1', 'merge') (medium)

!!! Note that circular dependencies can often be avoided by temporarily
!!! disabling USE flags that trigger optional dependencies.


I don't want to install a gcc 4.3 or any big unstable things on my system.

Is there any way to get icedtea6 installed please??

I recently had icedtea6 1.2 installed but an emerge --depclean killed the installation with no reason.

Bye

Günther
Back to top
View user's profile Send private message
Tadeas
Tux's lil' helper
Tux's lil' helper


Joined: 19 Sep 2008
Posts: 113
Location: Prague

PostPosted: Tue Oct 21, 2008 8:43 pm    Post subject: Reply with quote

Another voice for a stronger call :) . I suppose there is quite many of us who would appreciate this howto...
Back to top
View user's profile Send private message
electronvolt
Tux's lil' helper
Tux's lil' helper


Joined: 16 May 2007
Posts: 79

PostPosted: Tue Oct 21, 2008 11:34 pm    Post subject: Reply with quote

OK.....here is a mini-howto for installing icedtea6 using gcj to bootstrap.

(Inimi you MAY be able to bootstrap icedtea6 using sun-jdk and avoid having to upgrade gcc, but I'm not sure this will work or whether any of the icedtea dependencies need >=gcc-4.3 and gcj to compile)

As it is necessary to keyword unmask gcc, glibc and several other packages this may not be the way to go if all you want is java working in firefox on amd64. For that I'd just recommend installing the 32bit binary firefox. But if you really want, or need, to install icedtea6 here goes!!

1) emerge subversion and layman if you haven't got them installed already.
Code:

emerge -av subversion layman

2) now install the java-overlay
Code:

layman -a java-overlay

(you now need to add
Code:
source /usr/portage/local/layman/make.conf
to /etc/make.conf)

3) unmask the required packages

add the following to /etc/portage/package.keywords :-
Code:

=sys-devel/gcc-4.3.1
=sys-libs/glibc-2.7-r2
virtual/jdk
dev-java/gcj-jdk
app-admin/eselect-ecj
=dev-java/ant-core-1.7.0-r3
=dev-java/eclipse-ecj-3.4.1
virtual/gnu-classpath-jdk
dev-java/icedtea6
virtual/icedtea-jdk

4) ensure you have gcj in your USE flags in /etc/make.conf

5)
Code:
emerge -DuNav world
to update gcc, glibc and whatever else is necessary. NOTE once you've updated glibc you cannot subsequently downgrade, but you knew that already, right? :) Also, having upgraded glibc it is recommended to rebuild your worldset,
Code:
emerge -e world
Now you see why the firefox-bin option is the one I recommend!!

6) Having come this far we can now actually emerge icedtea!!
Code:

emerge -av icedtea6

Hopefully it should pull in all the necessary dependencies and install them in the correct order, but from my experience it is a pretty fragile build process!!

this worked for me on 3 machines but ymmv
Back to top
View user's profile Send private message
Naib
Watchman
Watchman


Joined: 21 May 2004
Posts: 5678
Location: Removed by Neddy

PostPosted: Wed Oct 22, 2008 12:16 pm    Post subject: Reply with quote

yer icedtea compiles fine for me
_________________
The best argument against democracy is a five-minute conversation with the average voter
Great Britain is a republic, with a hereditary president, while the United States is a monarchy with an elective king
Back to top
View user's profile Send private message
tkmorris
n00b
n00b


Joined: 22 Oct 2008
Posts: 5

PostPosted: Wed Oct 22, 2008 7:17 pm    Post subject: Reply with quote

Naib wrote:
yer icedtea compiles fine for me


Same here, and I've used this (http://icedtea.classpath.org/wiki/GentooBuildInstructions) howto.
Back to top
View user's profile Send private message
nixnut
Bodhisattva
Bodhisattva


Joined: 09 Apr 2004
Posts: 10974
Location: the dutch mountains

PostPosted: Wed Oct 22, 2008 7:44 pm    Post subject: Reply with quote

Moved from Gentoo on AMD64 to Unsupported Software.
unsupported stuff, so moved here
_________________
Please add [solved] to the initial post's subject line if you feel your problem is resolved. Help answer the unanswered

talk is cheap. supply exceeds demand
Back to top
View user's profile Send private message
Schwinni
Apprentice
Apprentice


Joined: 02 Sep 2004
Posts: 214
Location: quadrant1.earth. germany.wuerzburg

PostPosted: Wed Oct 22, 2008 11:06 pm    Post subject: Reply with quote

You lucky!
For me, only icedtea6-1.2 compiles, 1.3 fails:
https://forums.gentoo.org/viewtopic-t-636218-start-125.html :cry:
Back to top
View user's profile Send private message
Inimi
n00b
n00b


Joined: 15 Feb 2008
Posts: 30

PostPosted: Sat Oct 25, 2008 11:39 am    Post subject: Reply with quote

Hi,

I don't want to upgrade my gcc for that.

I already got it working before emerge has decided to throw icedtea way for no reason.

Thanks for your up to date howto.

Bye

Inimi
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum